Qt 5.6 | Qt 3D | C++ Classes | QAxisSetting

Qt 5.6.3 Reference Documentation

# QAxisSetting Class

(Qt3DInput::QAxisSetting)

Header: | #include <QAxisSetting>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | AxisSetting
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- axes : QVariantList
- deadZone : float
- filter : bool

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAxisSetting(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QAxisSetting()
QVariantList | axes() const
float | deadZone() const
bool | isFilterEnabled() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAxes(const QVariantList &axes)
void | setDeadZone(float deadZone)
void | setFilterEnabled(bool enabled)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | axesChanged(QVariantList axes)
void | deadZoneChanged(float deadZone)
void | filterChanged(bool filter)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### axes : QVariantList

Access functions:

QVariantList | axes() const
void | setAxes(const QVariantList &axes)

Notifier signal:

void | axesChanged(QVariantList axes)

### deadZone : float

Access functions:

float | deadZone() const
void | setDeadZone(float deadZone)

Notifier signal:

void | deadZoneChanged(float deadZone)

### filter : bool

Access functions:

bool | isFilterEnabled() const
void | setFilterEnabled(bool enabled)

Notifier signal:

void | filterChanged(bool filter)

## Member Function Documentation

### QAxisSetting::QAxisSetting(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAxisSetting.

### QAxisSetting::~QAxisSetting()

Destroys the instance of QAxisSetting.

### `[protected]` void QAxisSetting::copy(const Qt3DCore::QNode *ref)